### Method

# Phosh DBusScreenshot call_pick_color_sync

#### Declaration [src]

    gboolean
    phosh_dbus_screenshot_call_pick_color_sync (
      PhoshDBusScreenshot* proxy,
      GVariant** out_result,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously invokes the PickColor() D-Bus method on `proxy`. The calling thread is blocked until a reply is received.

See `phosh_dbus_screenshot_call_pick_color()` for the asynchronous version of this method.

#### Parameters

`out_result`

  Type: `GVariant`

  Return location for return parameter or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the call succeeded, `FALSE` if `error` is set.